New namespace and aliases for el.wikisource
Closed, ResolvedPublic

Description

Please

  1. create the namespace "Πύλη" (NamespaceNumber:100) with alias "Portal" and associated talk namespace "Συζήτηση_πύλης" (alias: "Portal_talk")
  2. for the existing namespace "Συγγραφέας" with the associated talk namespace "Συζήτηση συγγραφέα", create the aliases "Author" and "Author talk".

Community consensus:

geraki created this task.Feb 4 2017, 11:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2017, 11:46 AM
Urbanecm claimed this task.Feb 4 2017, 1:18 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptFeb 4 2017, 1:18 PM
Urbanecm triaged this task as Normal priority.Feb 4 2017, 1:19 PM

[ Removing Wikisource tag - see its description ]

Change 336004 had a related patch set uploaded (by Urbanecm):
Namespace changes for elwikisource

https://gerrit.wikimedia.org/r/336004

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Feb 7 2017, 10:38 AM

Will be deployed today between 14:00-15:00 UTC.

Before the deployment we had some duplicates:

$ mwscript namespaceDupes.php --wiki=elwikisource
id=1428 ns=0 dbk=Συγγραφέας:Αριστοτέλης *** dest title exists and --add-prefix not specified
id=1434 ns=0 dbk=Συγγραφέας:Δημοσθένης *** dest title exists and --add-prefix not specified
id=1427 ns=0 dbk=Συγγραφέας:Πέτρος_Κροπότκιν *** dest title exists and --add-prefix not specified
id=1422 ns=0 dbk=Συγγραφέας:Πλάτων *** dest title exists and --add-prefix not specified
id=1626 ns=0 dbk=Συγγραφέας:Σοφοκλής *** dest title exists and --add-prefix not specified
5 pages to fix, 0 were resolvable.

Change 336004 merged by jenkins-bot:
Namespace changes for elwikisource

https://gerrit.wikimedia.org/r/336004

Mentioned in SAL (#wikimedia-operations) [2017-02-07T14:22:25Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Namespace changes for elwikisource - T157187 (duration: 00m 40s)

After deployment there were the extra:

id=25399 ns=0 dbk=Πύλη:Β΄_Παγκόσμιος_Πόλεμος -> Πύλη:Β΄_Παγκόσμιος_Πόλεμος (no conflict) DRY RUN ONLY
pagelinks from=22840 ns=0 dbk=Πύλη:Β΄_Παγκόσμιος_Πόλεμος -> Πύλη:Β΄_Παγκόσμιος_Πόλεμος DRY RUN

Those two have been fixed.

I renamed the five conflicting articles:

$ mwscript namespaceDupes.php --wiki=elwikisource --add-prefix duplicate/ --fix
id=1428 ns=0 dbk=Συγγραφέας:Αριστοτέλης -> Συγγραφέας:Duplicate/Αριστοτέλης (alternate)
id=1434 ns=0 dbk=Συγγραφέας:Δημοσθένης -> Συγγραφέας:Duplicate/Δημοσθένης (alternate)
id=1427 ns=0 dbk=Συγγραφέας:Πέτρος_Κροπότκιν -> Συγγραφέας:Duplicate/Πέτρος_Κροπότκιν (alternate)
id=1422 ns=0 dbk=Συγγραφέας:Πλάτων -> Συγγραφέας:Duplicate/Πλάτων (alternate)
id=1626 ns=0 dbk=Συγγραφέας:Σοφοκλής -> Συγγραφέας:Duplicate/Σοφοκλής (alternate)
5 pages to fix, 5 were resolvable.

The list can be found on wiki at https://el.wikisource.org/w/index.php?title=Ειδικό%3AΕυρετήριοΠροθεμάτων&prefix=Duplicate%2F&namespace=108

Probably they are just redirects and can be deleted.

Urbanecm closed this task as Resolved.Feb 7 2017, 2:31 PM

Change itself was done, fixing dupliccates is the only pending thing.